<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
        <script src="https://js.stripe.com/v3/"></script>
        {% block stylesheets %}
            {{ encore_entry_link_tags('app')}}
        {% endblock %}
        <style>

            #card-element {
                width: 100%;
            }

            .switch {
                position: relative;
                display: inline-block;
                width: 60px;
                height: 34px;
            }

            .switch input {
                opacity: 0;
                width: 0;
                height: 0;
            }

            .slider {
                position: absolute;
                cursor: pointer;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                background-color: #ccc;
                -webkit-transition: .4s;
                transition: .4s;
            }

            .slider:before {
                position: absolute;
                content: "";
                height: 26px;
                width: 26px;
                left: 4px;
                bottom: 4px;
                background-color: white;
                -webkit-transition: .4s;
                transition: .4s;
            }

            input:checked + .slider {
                background-color: #2196F3;
            }

            input:focus + .slider {
                box-shadow: 0 0 1px #2196F3;
            }

            input:checked + .slider:before {
                -webkit-transform: translateX(26px);
                -ms-transform: translateX(26px);
                transform: translateX(26px);
            }

            /* Rounded sliders */
            .slider.round {
                border-radius: 34px;
            }

            .slider.round:before {
                border-radius: 50%;
            }

        </style>
    </head>
    <body>
        {{ include('partials/_nav.html.twig')}}
        <div class="flash-message-section">
            {{ include('partials/_flash_messages.html.twig')}}
        </div>
        
        <div class="main-container container-fluid">
            {% block body %}{% endblock %}
            {{ include('partials/_conversation.html.twig') }}
        </div>

        {{ include('partials/_footer.html.twig') }}
        {% block javascripts %}
            {{ encore_entry_script_tags('app')}}
        {% endblock %}
    </body>
</html>
